﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Office.Server.ActivityFeed;
using Microsoft.SharePoint;

namespace SUGUK.Suggestions
{
    /// <summary>
    /// The ProcessingItem is a light weight processing object representing the required information within a SPListItem.
    /// </summary>
    public class ProcessingItem
    {
        #region Properties

        /// <summary>
        /// Gets or sets the activity event.
        /// </summary>
        /// <value>The activity event.</value>
        public ActivityEvent ActivityEvent { get; set; }

        /// <summary>
        /// Gets or sets the id.
        /// </summary>
        /// <value>The id.</value>
        public int Id { get; set; }
       
        /// <summary>
        /// Gets or sets the title.
        /// </summary>
        /// <value>The title.</value>
        public string Title { get; set; }

        /// <summary>
        /// Gets or sets the display name.
        /// </summary>
        /// <value>The display name.</value>
        public string DisplayName { get; set; }

        /// <summary>
        /// Gets or sets the author.
        /// </summary>
        /// <value>The author.</value>
        public string Author { get; set; }

        /// <summary>
        /// Gets or sets the plain text body with hyperlinking.
        /// </summary>
        /// <value>The plain text body with hyperlinking.</value>
        public string PlainTextBodyWithHyperlinking { get; set; }

        /// <summary>
        /// Gets or sets the last modified.
        /// </summary>
        /// <value>The last modified.</value>
        public DateTime LastModified { get; set; }

        /// <summary>
        /// Gets or sets the list id.
        /// </summary>
        /// <value>The list id.</value>
        public Guid ListId { get; set; }

        /// <summary>
        /// Gets or sets the parent list title.
        /// </summary>
        /// <value>The parent list title.</value>
        public string ParentListTitle { get; set; }

        /// <summary>
        /// Gets or sets the parent list default display form URL.
        /// </summary>
        /// <value>The parent list default display form URL.</value>
        public string ParentListDefaultDisplayFormUrl { get; set; }

        /// <summary>
        /// Gets or sets the parent list default view URL.
        /// </summary>
        /// <value>The parent list default view URL.</value>
        public string ParentListDefaultViewUrl { get; set; }

        /// <summary>
        /// Gets or sets the site id.
        /// </summary>
        /// <value>The site id.</value>
        public Guid SiteId { get; set; }

        /// <summary>
        /// Gets or sets the web id.
        /// </summary>
        /// <value>The web id.</value>
        public Guid WebId { get; set; }

        /// <summary>
        /// Gets or sets the owner.
        /// </summary>
        /// <value>The owner.</value>
        public Entity Owner { get; set; }

        /// <summary>
        /// Gets or sets the publisher.
        /// </summary>
        /// <value>The publisher.</value>
        public Entity Publisher { get; set; }

        /// <summary>
        /// Gets or sets the interested people.
        /// </summary>
        /// <value>The interested people.</value>
        public List<MinimalPerson> InterestedPeople { get; set; }

        #endregion
    }
}
